
U++ - Bug #141

uppweb when producing .pdf consumes too much memory and produces nothing...

10/22/2011 04:03 PM - Miroslav Fidler

Status: Rejected Start date: 10/22/2011

Priority: Normal Due date:

Assignee: % Done: 0%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

History

#1 - 10/23/2011 12:59 AM - Sender Ghost

I think, the streamable version of PdfDraw needed, for this case. Not just "monolith" version of PdfDraw::Finish method. Something, which could give the

beginning of PDF document, the partial contents between drawing and the end of PDF document to save.

FileOut fo(AppendFileName(pdfdir, "Upp.pdf"));

Size sz = Size(3968, 6074);

for(int i = 0; i < tt.GetCount(); i++) {

    PdfDraw pdf;

    RichText text = ParseQTF(tt[i]);

    UPP::Print(pdf, text, sz);

    if (i == 0)

        fo << pdf.GetBegin();

    else if (i == tt.GetCount() - 1)

        fo << pdf.GetEnd();

    else

        fo << pdf.GetContents();

}

or something, which will merge many PDF documents after:

Size sz = Size(3968, 6074);

for(int i = 0; i < tt.GetCount(); i++) {

    PdfDraw pdf;

    RichText text = ParseQTF(tt[i]);

    UPP::Print(pdf, text, sz);

    SaveFile(AppendFileName(pdfdir, Format("Upp_%s.pdf", AsString(i))), pdf.Finish());

}

#2 - 10/23/2011 01:05 AM - Sender Ghost

Some correction for the first example:

FileOut fo(AppendFileName(pdfdir, "Upp.pdf"));

Size sz = Size(3968, 6074);

for(int i = 0; i < tt.GetCount(); i++) {

    PdfDraw pdf;
    RichText text = ParseQTF(tt[i]);

    UPP::Print(pdf, text, sz);

    if (i == 0)

        fo << pdf.GetBegin();

    fo << pdf.GetContents();

    if (i == tt.GetCount() - 1)

        fo << pdf.GetEnd();

}

#3 - 11/14/2011 01:03 PM - Miroslav Fidler

- Priority changed from High to Normal

#4 - 04/06/2013 05:37 PM - Miroslav Fidler

- Status changed from New to Rejected
